import Request from "lynx-framework/request";
import { Controller } from "../controller";
export default class ApiController extends Controller {
    list(entityName: string, req: Request): Promise<any>;
    details(entityName: string, id: any, req: Request): Promise<any>;
    edit(entityName: string, id: any, req: Request): Promise<boolean>;
    performDelete(entityName: string, id: any): Promise<boolean>;
}
